<template>
  <b-container fluid class="home p-0" >
        <b-row align-v="center" align-h="center" class="mx-auto text-center">
            <b-col md="12" class="p-0">
                <b-jumbotron id="main-img" fluid class="vertical-center mb-0">
                        <h2 class="h3 font300 text-white mb40">
                            <span class="display-2 text-white text-uppercase">DISCOVER</span><br> KANDINSKY WEMMEL TODAY
                        </h2>
                        <h3 class="text-white">Een goed concept is maar het begin van een project bij S-BUILD...</h3>
                        <h1 class="text-white">Perfecte uitvoering crëert de echte waarde</h1>
                    <p class="lead text-white">Welkom bij een gepersonaliseerde aanpak...</p>
                </b-jumbotron>
            </b-col>
        </b-row>
        <section id="about" class="light">
            <b-container>
                <b-row>
                    <b-col lg="12" class="text-center">
                        <h1>kwalitatief, gepersonaliseerde realisaties afgestemd op iedere klant...</h1>
                    </b-col>
                </b-row>
                <b-row align-v="center" align-h="center" class="mx-auto text-center">
                    <b-col md="4">
                        <div class="icon-wrapper">
                            <font-awesome-icon size="3x" icon="cloud" color="white" />
                        </div>
                        <h4 class="text-capitalize font600  pt30 pb10">UW DROMEN</h4>
                        <p>zijn onze prioriteit</p>
                    </b-col>
                    <b-col md="4">
                        <div class="icon-wrapper">
                            <font-awesome-icon size="3x" icon="rocket" color="white" />
                        </div>
                        <h4 class="text-capitalize font600  pt30 pb10">KLEIN OF GROOT</h4>
                        <p>geen realisatie is voor ons onbelangrijk</p>
                    </b-col>
                    <b-col md="4">
                        <div class="icon-wrapper">
                            <font-awesome-icon size="3x" icon="lightbulb" color="white" />
                        </div>
                        <h4 class="text-capitalize font600 pt30 pb10">CREATIEF DESIGN</h4>
                        <p>primeert in alles wat we doen voor u</p>
                    </b-col>
                </b-row>
            </b-container>
        </section>
        <section class="backdrop-section">
            <b-container>
                <b-row>
                    <b-col sm="5" class="overlay-text">
                        <h2 class="text-capitalize">Wij zijn gepassioneerd door ons vak...</h2>
                        <p>Hierdoor is S-BUILD een referentie geworden voor projectontwikkeling in de Noordrand van Brussel. U kan hier kennismaken met onze projecten en een ruim aanbod aan nieuwbouwappartementen. Wij geloven in compromisloze kwaliteit, strakke architectuur en een persoonlijke aanpak om al onze klanten aan ongeëvenaarde personalisatie mogelijkheden te helpen. </p>
                    </b-col>
                </b-row>
            </b-container>
            <div class="overlay-bg black"></div>
        </section>
        <section class="light">
            <b-container>
                <b-row>
                    <b-col sm="5">
                        <b-img :src="imac" fluid alt="Responsive image" />
                    </b-col>
                    <b-col sm="5" offset-sm="1">
                        <h2>Esthetisch top... Technologisch mee...</h2>
                        <p>Wij maken steeds gebruik van de laatste technologie om zowel onze projecten en klanten het beste te bieden in hun nieuwbouw...</p>
                    </b-col>
                </b-row>
            </b-container>
        </section>
        <section id="aanbod" class="dark">
            <div class="page-header text-center text-white">
                <h3>HUIDIGE AANBOD</h3>
                <h2>TOP AANBIEDINGEN IN DE KIJKER</h2>
            </div>
            <Gallery1 />
        </section>
        <section id="projects" class="light">
            <div class="page-header text-center">
                <h3>VORIGE PROJECTEN</h3>
                <h2>ONZE TROTS</h2>
            </div>
            <Gallery2 />
        </section>
        <section id="team" class="dark">
            <div class="page-header text-center text-white">
                <h3>Team S-BUILD</h3>
                <h2>Gedreven, Talentvol, Gepassioneerd </h2>
            </div>
            <b-container>
                <b-row align-v="center" align-h="center" class="mx-auto text-center">
                    <b-col sm="3">
                        <ProfileCard 
                        :avatar="profileSteven" 
                        name="Steven Nuis"
                        title="Project Bestuur"
                        description="Opvolging & Technisch"
                        >
                        <template slot="links">
                            <b-link class="mr-3" href="mailto:steven@s-build.be">
                                <font-awesome-icon size="lg" icon="envelope"/>
                            </b-link>
                            <b-link href="https://www.facebook.com/steven.nuis.12">
                                <font-awesome-icon size="lg" :icon="{ prefix: 'fab', iconName: 'facebook' }" />
                            </b-link>
                        </template>
                        </ProfileCard>
                    </b-col>
                    <b-col sm="3">
                        <ProfileCard 
                        :avatar="profileWim" 
                        name="Wim Destryker"
                        title="Project Opvolging"
                        description="Commercieel & Financieel"
                        >
                        <template slot="links">
                            <b-link class="mr-3" href="/mailto:wim@s-build.be">
                                <font-awesome-icon size="lg" icon="envelope"/>
                            </b-link>
                            <b-link href="https://www.linkedin.com/pub/wim-destryker/52/255/4b8">
                                <font-awesome-icon size="lg" :icon="{ prefix: 'fab', iconName: 'linkedin' }" />
                            </b-link>
                        </template>
                        </ProfileCard>
                    </b-col>
                </b-row>
            </b-container>
        </section>
        <section id="contact" class="light">
            <b-container>
                <b-row>
                    <b-col lg="12">
                        <h2 class="mb-5">Heeft u een goed idea of nog vragen? <span class="highlight">Laten we u erbij helpen!</span></h2>
                        <b-col lg="6" class="mx-auto">
                            <ContactForm />
                        </b-col>
                        
                    </b-col>
                </b-row>
            </b-container>
        </section>
  </b-container>
</template>
<script>
import ProfileCard from '@/components/ProfileCard.vue'
import ContactForm from '@/components/ContactForm.vue'
import Gallery1 from '@/partials/Gallery1.vue'
import Gallery2 from '@/partials/Gallery2.vue'
export default {
  components: {
    ProfileCard,
    Gallery1,
    Gallery2,
    ContactForm
  },
  computed: {
      profileSteven() {
          return require('@/assets/images/steven.jpg')
      },
      profileWim() {
          return require('@/assets/images/wim.jpg')
      },
      imac() {
          return require('@/assets/images/imac.png')
      }
  }
}
</script>

<style lang="scss" scoped>
#main-img {
  background: url('~@/assets/images/sbuildhighressplash.jpg') center center no-repeat;
  background-size: cover;
}

.vertical-center {
  min-height: 100%;
  min-height: 100vh;

  display: flex;
  align-items: center;
}

$bg-start: #9d9181;
$bg-end: #9e866c;
$card-bg: #e6e5e1;
$dribbble-color: #ea4b89;
$twitter-color: #68aade;
$facebook-color: #3b5999;

html {
  min-height: 100%;
  background: linear-gradient($bg-start, $bg-end);
}

body {
	background-color: transparent;
}

section {
    padding: 4em 0;
    position: relative;

    &.backdrop-section {
        background: url('~@/assets/images/bg-content1.jpg') center center no-repeat;
        background-size: cover;
        color: white;
    }
    &.light {
        background: #ededed;
    }

    &.dark {
        background: #2b2d35;
    }
}

.overlay-text {
    z-index: 10;
}

.highlight {
  color: #88b7b3;
}

.overlay-bg {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
  background: rgba(0, 0, 0, 0.5);
  background: radial-gradient(ellipse 50% 55%, closest-corner, rgba(0, 0, 0, 0.57) 1%, rgba(0, 0, 0, 0.8) 100%);
  transition: all 0.3s ease-in-out;
  transform: translate3d(0, 0, 0);
  z-index: 0;

  &.light {
    background-image: linear-gradient(to bottom, rgba(243, 243, 243, 0.95) 80%, rgba(243, 243, 243, 0.85) 100%);
    background-repeat: repeat-x;
  }

  &.black {
      opacity: 0.5;
  }
}

.dark {
    background: #2b2d35;
}

.icon-wrapper {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    background-color: rgba(137, 184, 180, 0.4);
    text-align: center;
    margin: 2em auto 2em;
    padding: 3em 0;
}

</style>
